Installation of primus on Mac OS X -> Qt error

ATSAS for Linux and Mac, general installation issues, ATSAS online etc.
Post Reply
Message
Author
doom4
Member
Posts: 4
Joined: 2013.03.25 17:26

Installation of primus on Mac OS X -> Qt error

#1 Post by doom4 » 2013.03.25 17:29

Hi there,

I have a problem with Qt and primus. I installed Qt 5 and Qt 4.8 but I still get this error message on Mac OS X 10.8.3:


doom4$ /Applications/ATSAS/bin/primus
Qt internal error: qt_menu.nib could not be loaded. The .nib file should be placed in QtGui.framework/Versions/Current/Resources/ or in the resources directory of your application bundle.
Abort trap: 6


I downloaded the most recent ATSAS suite but it doesent help. Any ideas?

Thank you very much!

franke
Administrator
Posts: 408
Joined: 2007.08.10 11:09
Contact:

Re: Installation of primus on Mac OS X -> Qt error

#2 Post by franke » 2013.03.25 17:54

For atsas-2.5 you don't need an extra Qt installation, the package brings the required libraries.
Did you try double-clicking /Atsas/Applications/primus.app?

Btw, we released 2.5.1 last week - did you already get that one or is this still some older 2.5.0?

doom4
Member
Posts: 4
Joined: 2013.03.25 17:26

Re: Installation of primus on Mac OS X -> Qt error

#3 Post by doom4 » 2013.03.25 20:31

Well I downloaded atsas-2.5.1-1.OSX-10.8.x86_64.dmg but after the installation I cant find any .app files only the executables in ATSAS/bin/

Are they in any other folder then /Applications/ATSAS ?

doom4
Member
Posts: 4
Joined: 2013.03.25 17:26

Re: Installation of primus on Mac OS X -> Qt error

#4 Post by doom4 » 2013.03.25 20:33

Oh I just installed atsas-2-1.5.0-2.OSX-10.7.x86_64.dmg and now I have the .app files. Is it possible that you did a mistake in bundling ATSAS for 10.8?

franke
Administrator
Posts: 408
Joined: 2007.08.10 11:09
Contact:

Re: Installation of primus on Mac OS X -> Qt error

#5 Post by franke » 2013.03.25 20:39

doom4 wrote:Oh I just installed atsas-2-1.5.0-2.OSX-10.7.x86_64.dmg and now I have the .app files. Is it possible that you did a mistake in bundling ATSAS for 10.8?
That's certainly a possibility. Wouldn't be the first time. Mac packaging is extremely finicky (especially if you don't use it yourself). Will double check the package and update if needed. Cheers.

Donghyuk Shin
Member
Posts: 9
Joined: 2013.04.12 13:58

Re: Installation of primus on Mac OS X -> Qt error

#6 Post by Donghyuk Shin » 2013.04.12 14:05

I also have same problem.
The other program (dammin, dammif or gnom) are working well.

Is there any progress for this issue?

franke
Administrator
Posts: 408
Joined: 2007.08.10 11:09
Contact:

Re: Installation of primus on Mac OS X -> Qt error

#7 Post by franke » 2013.04.12 15:06

The packages have been updated a while ago. Get 2.5.1-2 and try again. In case the problem persists - what $DEITYOFCHOICE may prevent - please let me know.

Donghyuk Shin
Member
Posts: 9
Joined: 2013.04.12 13:58

Re: Installation of primus on Mac OS X -> Qt error

#8 Post by Donghyuk Shin » 2013.04.12 15:37

Thank you!! I am downloading 2.5.1-2 now, and I will try and post about that whether it solves the problem or not.

Donghyuk Shin
Member
Posts: 9
Joined: 2013.04.12 13:58

Re: Installation of primus on Mac OS X -> Qt error

#9 Post by Donghyuk Shin » 2013.04.12 16:06

:) Good!! Now it is working!! Thanks a lot!!

barbosa
Guest
Posts: 1
Joined: 2011.02.13 06:29
Location: Institute of Physics - Sao Paulo Brazil - IFUSP

Re: Installation of primus on Mac OS X -> Qt error

#10 Post by barbosa » 2014.03.30 05:51

I am Having the same problem with ATSAS 2.5.2 and MAC OS 10.9.2.
Some one know how to fix it?

Qt internal error: qt_menu.nib could not be loaded.
The .nib file should be placed in QtGui.framework/Versions/Current/Resources/ or in the resources directory of your application bundle.

Abort trap: 6

Thank you!

L.

emartin1
Active member
Posts: 43
Joined: 2012.08.06 21:22

Re: Installation of primus on Mac OS X -> Qt error

#11 Post by emartin1 » 2014.05.02 21:40

I am also now having this error after having installed ATSAS 2.5.2 on Mac OS 10.7.5. This package also did not seem to contain the .app files.

franke
Administrator
Posts: 408
Joined: 2007.08.10 11:09
Contact:

Re: Installation of primus on Mac OS X -> Qt error

#12 Post by franke » 2014.05.06 18:29

emartin1 wrote:I am also now having this error after having installed ATSAS 2.5.2 on Mac OS 10.7.5. This package also did not seem to contain the .app files.
I double checked the package, all files are there.

jenkins
Guest
Posts: 2
Joined: 2008.07.29 23:31
Location: Univ of Rochester, NY

Re: Installation of primus on Mac OS X -> Qt error

#13 Post by jenkins » 2014.05.09 23:06

I am also having the same "Qt internal error: qt_menu.nib could not be loaded." problem when trying to run primus 2.5.2-1 on OSX 10.7.5 from the command line as there are no .app files in the Applications/ATSAS folder as it only has executables in the bin, help docs in share, and a lib folder.

User avatar
AL
Administrator
Posts: 695
Joined: 2007.08.03 18:55
Location: EMBL Hamburg, Germany
Contact:

How to install ATSAS

#14 Post by AL » 2014.06.20 11:00


Didier S
Guest
Posts: 2
Joined: 2014.06.23 11:52

Re: Installation of primus on Mac OS X -> Qt error

#15 Post by Didier S » 2014.06.23 11:58

I follow the installation process with ATSAS 2.5.2 on my MacOS 10.7.5.

I try to launch by command line or double clicking the incon of Primus but in both way I obtain this error message:
"Qt internal error: qt_menu.nib could not be loaded. The .nib file should be placed in QtGui.framework/Versions/Current/Resources/ or in the resources directory of your application bundle.
Abort trap: 6"

I try to install Qt (open source mac x64 version 1.6.0) but it does not help.

Does someone have a solution ?

Post Reply